<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040 - Skierowanie do uzdrowiska </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.csioz.gov.pl/xsd/extPL/r2" prefix="extPL"/>
   <ns uri="urn:ihe:pharm" prefix="pharm"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario plCdaReferralToHealthResort -->

   <!-- plCdaReferralToHealthResort -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.1.9-2019-09-30T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



   <!-- includes -->
   <!-- plCdaBasePerson -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.1-2018-06-30T000000.sch"/>
   <!-- plCdaBaseMedicalPractice -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.15-2019-05-31T000000.sch"/>
   <!-- plCdaBaseOrganizationalUnit -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.17-2018-06-30T000000.sch"/>
   <!-- plCdaBaseOrganizationalCell -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.18-2018-06-30T000000.sch"/>
   <!-- plCdaBasePublicUnderwriterParticipant -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.19-2018-06-30T000000.sch"/>
   <!-- plCdaBaseOrganization -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.2-2018-06-30T000000.sch"/>
   <!-- plCdaP1BaseCustodian -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.20-2018-06-30T000000.sch"/>
   <!-- plCdaP1BaseRelatedDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.21-2018-06-30T000000.sch"/>
   <!-- plCdaReferralRecordTarget -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.26-2018-09-30T000000.sch"/>
   <!-- plCdaReferralToHealthResortComponent -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.35-2018-06-30T000000.sch"/>
   <!-- plExtReimbursementRelatedContract -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.sch"/>
   <!-- plCdaBaseInFulfillmentOf -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.53-2018-06-30T000000.sch"/>
   <!-- plCdaBaseLegalAuthenticator -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.6-2018-06-30T000000.sch"/>
   <!-- plCdaBaseInformationRecipient -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.61-2018-09-30T000000.sch"/>
   <!-- plCdaReferralAuthor -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.86-2018-06-30T000000.sch"/>
   <!-- plCdaIntendedRecipientOrganization -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.89-2018-09-30T000000.sch"/>
   <!-- plCdaAssistantDataEnterer -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.90-2019-09-30T000000.sch"/>
   <!-- plCdaDiagnosisSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.sch"/>
   <!-- plCdaReferralHistorySection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.10-2018-06-30T000000.sch"/>
   <!-- plCdaReferralPhysicalFindingsSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.11-2018-06-30T000000.sch"/>
   <!-- plCdaReferralToHealthResortPrescriptionsSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.12-2018-06-30T000000.sch"/>
   <!-- plCdaAnnotationCommentSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.2-2018-06-30T000000.sch"/>
   <!-- plCdaIdentifyingInformationSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.3-2018-06-30T000000.sch"/>
   <!-- plCdaAttachmentListSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.sch"/>
   <!-- plCdaHealthResortReferralDocumentBinarySection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.sch"/>
   <!-- plCdaReferralRelevantDiagnosticTestsSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.7-2018-06-30T000000.sch"/>
   <!-- plCdaSchoolGradeSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.9-2018-06-30T000000.sch"/>
   <!-- plCdaPrincipalDiagnosis -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.sch"/>
   <!-- plCdaSecondaryDiagnosis -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.sch"/>
   <!-- plCdaAttachmentListEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.31-2018-06-30T000000.sch"/>
   <!-- plCdaAttachmentReference -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.sch"/>
   <!-- plCdaConformantExternalDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.33-2018-06-30T000000.sch"/>
   <!-- plCdaNonConformantExternalDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.34-2018-06-30T000000.sch"/>
   <!-- plCdaDocumentBinaryContentEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.49-2018-06-30T000000.sch"/>
   <!-- plCdaHealthResortRequestedEncounterEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.8-2018-06-30T000000.sch"/>
   <!-- plCdaBaseAddr -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.sch"/>
   <!-- plCdaBasePersonName -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.sch"/>
   <!-- plCdaClinicalStatementText -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.3-2018-06-30T000000.sch"/>
   <!-- plCdaPolishOrganizationalAddr -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.4-2018-06-30T000000.sch"/>

</schema>
